<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('artworks', function (Blueprint $table) {
            $table->index('podcast_id');
            $table->index('artist_id');
            $table->index('episode_id');
            $table->index('legacy_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('artworks', function (Blueprint $table) {
            $table->dropIndex('podcast_id');
            $table->dropIndex('artist_id');
            $table->dropIndex('episode_id');
            $table->dropIndex('legacy_id');
        });
    }
};
